<?xml version="1.0"?>

<!--
// *** Copyright (c)2002 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com ************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk **** 
-->

<!DOCTYPE window [
<!ENTITY % kioskDTD SYSTEM "chrome://kiosk/locale/kiosk.dtd">
%kioskDTD;
<!ENTITY % bindingsDTD SYSTEM "chrome://kiosk/locale/bindings.dtd">
%bindingsDTD;
]>

<overlay id="urlbarOverlay"
        xmlns:html="http://www.w3.org/TR/REC-html40"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

<!-- <window id="main-window" onload="populate_url_list();"> -->
<window id="main-window">

<script type="text/javascript" src="./urlbar_list.js" />
 <stringbundleset id="jsconstants">
 <stringbundle id="teststrings" src="chrome://kiosk/locale/uri-list.properties"/>
 <stringbundle id="kioskDefaults" src="chrome://kiosk/locale/kioskDefault.properties"/>
</stringbundleset>

<keyset id="keyboardBindings">
     <key id="&change.urilist.id;"
	  keycode="&change.urilist.keycode;"
	  oncommand="&change.urilist.command;"/>
     <key id="&change.uriBlist.id;"
	  keycode="&change.uriBlist.keycode;"
	  oncommand="&change.uriBlist.command;"/>     
</keyset>
</window>

<vbox id="appcontent">
 <box id="url-bar" position="2">
	<image id="go-btn" onclick="uri_list_inputField();"
	  tooltiptext="&go.btn; &go.btn.bind;"/>
	<menulist id="uriBarList" flex="0" editable="true" crop="right" 
	    label="&default.protocol;" 
		onfocus="list_got_focus();"
		tooltiptext="&uriList.tooltip;" key="changeuriList">
	<menupopup onclick="uri_list();">
	</menupopup>
</menulist>	

 </box>
</vbox>

</overlay>